Start an export
POST/api/v1/exports
Starts a background export of a time range. Formats: geopulse (ZIP that can be imported back into GeoPulse; list what to include in dataTypes, such as rawgps, timeline, favorites, or timelinelabels; without dataTypes only raw GPS points are exported), and gpx, owntracks, geojson, and csv (raw GPS points). Poll GET /api/v1/exports/{exportJobId} until the status is completed, then download the file from downloadUrl. The number of export jobs per user is limited.
Access: Any signed-in user, with a session or an API token.
Request
Responses
- 200
- 400
- 401
- 403
- 429
Export job created
Invalid export request
Authentication is required or the provided credentials are invalid.
The authenticated user does not have permission to access this resource.
Too many active export jobs